Subject: Re: bug#59945: [PATCH] Fix empty pairs in js tree-sitter imenu alist

From: Yuan Fu <[email-masked]>
Date: Mon, 12 Dec 2022 14:28:19 -0800

"Charl P. Botha" <[email-masked]> writes:

> The current js--treesit-imenu, used by the JavaScript, TypeScript and
> TSX tree-sitter modes, would return empty pairs in the imenu alist if
> there were none of that type of symbol.
>
> This would break both the built in imenu and also packages like
> consult-imenu.
>
> See https://github.com/minad/consult/issues/697 for the discussion
> there.

Thank you very much! Sorry for the inconvenience it caused. Have you
signed the copyright assignment? I’m asking because this change is on
the verge of 15 lines. Eli, WDYT?

Yuan